package com.recordingblogs.orgenerator;

import java.awt.Font;

/**
 * A collection of fonts for the generator dialogs.  These will be set by the 
 * application on startup
 * <p>
 * Copyright (c) 2003 Anton Kamenov.  This file and the included source code is the 
 * property of Anton Kamenov.  Under no circumstances will the file and source code be 
 * sold, transferred, modified, or commercially exploited in part or in whole, without 
 * the prior written consent of Anton Kamenov.
 * 
 * @author      Anton Kamenov
 * @version     4.0
 */

public class GeneratorFont 
{
    /**
     * Font used mostly for buttons, labels, and text fields
     * @since 1.0
     */
    public static Font LARGEFONT = new Font("SansSerif", 0, 12);

    /**
     * Font used mostly for sliders, view times, and left dialogs, dialog graphs
     * @since 1.0
     */
    public static Font SMALLFONT = new Font("Arial", 0, 9);

    /**
     * Font used for envelopes, the MIDI keyboard
     * @since 1.0
     */
    public static Font SMALLERFONT = new Font("Arial", 0, 8);
 
    /**
     * Font used for the time and time signature lines, labels for view times, track
     * and wave titles, and effect dialog graphs
     * @since 1.0
     */
    public static Font MEDIUMFONT = new Font("Arial", 0, 10);

}
